Bug 836649 - coming from emergency mode (Control-D) plymouth hangs after encrypted FS unlocked
coming from emergency mode (Control-D) plymouth hangs after encrypted FS unlo...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: plymouth (Show other bugs)
17
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-29 15:15 EDT by John Brier
Modified: 2013-08-14 19:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 12:33:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
1_passphrase1 (906.59 KB, image/jpeg)
2012-06-29 15:16 EDT, John Brier
no flags Details
2_emergency_mode (761.90 KB, image/jpeg)
2012-06-29 15:17 EDT, John Brier
no flags Details
3_passphrase (911.79 KB, image/jpeg)
2012-06-29 15:17 EDT, John Brier
no flags Details
4_progress_bar_hang (1.55 MB, image/jpeg)
2012-06-29 15:18 EDT, John Brier
no flags Details

  None (edit)
Description John Brier 2012-06-29 15:15:53 EDT
Description of problem:

Since Fedora 16 at least I have noticed a problem where if I do not unlock my encrypted home directory before the timeout which drops me to emergency mode it will hang on second go around.. If I do Control-D from emergency mode to continue plymouth asks for my passphrase, I give it, then plymouth hangs and never shows Fedora logo or GDM


Version-Release number of selected component (if applicable):

plymouth-0.8.5-0.2012.04.27.1.fc17.x86_64

How reproducible:
100%

Steps to Reproduce:

1. Install Fedora with an encrypted home directory

2. boot system

3. when prompted to enter passphrase do not enter passphrase (say you got up during boot to do something) 
  see 1_passphrase1_IMG_20120629_143515.jpg

4. plymouth will drop to emergency mode, do Control-D to continue 
  see 2_emergency_mode_IMG_20120629_143712.jpg

5. plymouth will prompt for passphrase again, this time enter it
  see 3_passphrase_2_IMG_20120629_143725.jpg

6 plymouth progress bar will go almost all the way, but not complete
  see 4_progress_bar_hang_IMG_20120629_143738.jpg
  
Actual results:
fedora logo never shows, GDM never loads
it just sits there. I have waited 7 minutes in reproducing for this bug, but I have waited longer in the past with same results.


Expected results:

plymouth completes and GDM starts

Additional info:
Switching to virtual desktops gets no console to debug further.. the second virtual desktop does seem to show a login prompt for a split second and then it is blanked.
Comment 1 John Brier 2012-06-29 15:16:55 EDT
Created attachment 595352 [details]
1_passphrase1
Comment 2 John Brier 2012-06-29 15:17:36 EDT
Created attachment 595353 [details]
2_emergency_mode
Comment 3 John Brier 2012-06-29 15:17:56 EDT
Created attachment 595354 [details]
3_passphrase
Comment 4 John Brier 2012-06-29 15:18:19 EDT
Created attachment 595355 [details]
4_progress_bar_hang
Comment 5 Fedora End Of Life 2013-07-04 01:26:49 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 12:33:12 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.